Package org.flowable.cmmn.model

# Class ScriptServiceTask

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemDefinition
org.flowable.cmmn.model.Task
org.flowable.cmmn.model.TaskWithFieldExtensions
org.flowable.cmmn.model.ServiceTask
org.flowable.cmmn.model.ScriptServiceTask

All Implemented Interfaces:
  `HasExtensionAttributes`, `HasInParameters`, `HasLifecycleListeners`

public class ScriptServiceTask extends ServiceTask implements HasInParameters

Author:
  Dennis

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `autoStoreVariables`
  `protected boolean`
  `doNotIncludeVariables`
  `protected List<IOParameter>`
  `inParameters`
  `static final String`
  `SCRIPT_TASK`

  ### Fields inherited from class org.flowable.cmmn.model.ServiceTask

  `implementation, implementationType, JAVA_TASK, MAIL_TASK, resultVariableName, storeResultVariableAsTransient, type`

  ### Fields inherited from class org.flowable.cmmn.model.TaskWithFieldExtensions

  `fieldExtensions`

  ### Fields inherited from class org.flowable.cmmn.model.Task

  `async, asyncLeave, asyncLeaveExclusive, blocking, blockingExpression, exclusive`

  ### Fields inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `defaultControl, lifecycleListeners, planItemRef`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptServiceTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInParameter(IOParameter inParameter)`
  `ScriptServiceTask`
  `clone()`
  `List<IOParameter>`
  `getInParameters()`
  `String`
  `getScript()`
  `String`
  `getScriptFormat()`
  `boolean`
  `isAutoStoreVariables()`
  `boolean`
  `isDoNotIncludeVariables()`
  `void`
  `setAutoStoreVariables(boolean autoStoreVariables)`
  `void`
  `setDoNotIncludeVariables(boolean doNotIncludeVariables)`
  `void`
  `setInParameters(List<IOParameter> inParameters)`
  `void`
  `setScriptFormat(String scriptFormat)`
  `void`
  `setValues(ScriptServiceTask otherElement)`

  ### Methods inherited from class org.flowable.cmmn.model.ServiceTask

  `getImplementation, getImplementationType, getResultVariableName, getType, isStoreResultVariableAsTransient, setImplementation, setImplementationType, setResultVariableName, setStoreResultVariableAsTransient, setType, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.TaskWithFieldExtensions

  `getFieldExtensions, setFieldExtensions`

  ### Methods inherited from class org.flowable.cmmn.model.Task

  `getBlockingExpression, isAsync, isAsyncLeave, isAsyncLeaveExclusive, isBlocking, isExclusive, setAsync, setAsyncLeave, setAsyncLeaveExclusive, setBlocking, setBlockingExpression, setExclusive, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `getDefaultControl, getLifecycleListeners, getPlanItemRef, setDefaultControl, setLifecycleListeners, setPlanItemRef, setValues, toString`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SCRIPT_TASK

    public static final String SCRIPT_TASK
    See Also:
      - Constant Field Values

  - ### autoStoreVariables

    protected boolean autoStoreVariables

  - ### doNotIncludeVariables

    protected boolean doNotIncludeVariables

  - ### inParameters

    protected List<IOParameter> inParameters

- ## Constructor Details

  - ### ScriptServiceTask

    public ScriptServiceTask()

- ## Method Details

  - ### getScriptFormat

    public String getScriptFormat()

  - ### setScriptFormat

    public void setScriptFormat(String scriptFormat)

  - ### getScript

    public String getScript()

  - ### isAutoStoreVariables

    public boolean isAutoStoreVariables()

  - ### setAutoStoreVariables

    public void setAutoStoreVariables(boolean autoStoreVariables)

  - ### isDoNotIncludeVariables

    public boolean isDoNotIncludeVariables()

  - ### setDoNotIncludeVariables

    public void setDoNotIncludeVariables(boolean doNotIncludeVariables)

  - ### getInParameters

    public List<IOParameter> getInParameters()
    Specified by:
      `getInParameters` in interface `HasInParameters`

  - ### addInParameter

    public void addInParameter(IOParameter inParameter)
    Specified by:
      `addInParameter` in interface `HasInParameters`

  - ### setInParameters

    public void setInParameters(List<IOParameter> inParameters)
    Specified by:
      `setInParameters` in interface `HasInParameters`

  - ### clone

    public ScriptServiceTask clone()
    Overrides:
      `clone` in class `ServiceTask`

  - ### setValues

    public void setValues(ScriptServiceTask otherElement)